PDF::API2::Resource::XObject::Form(3)

NAME
PDF::API2::Resource::XObject::Form - Base class for external form objects

METHODS

$form = PDF::API2::Resource::XObject::Form->new($pdf)
    Creates a form resource.

($llx, $lly, $urx, $ury) = $form->bbox($llx, $lly, $urx, $ury)
    Get or set the coordinates of the form object's bounding box

$resource = $form->resource($type, $key)
$form->resource($type, $key, $object, $force)
    Get or add a resource required by the form's contents, such as a Font, XObject, ColorSpace, etc.

    By default, an existing $key will not be overwritten. Set $force to override this behavior.